Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#1245 closed defect (worksforme)

ERROR in IO_Serial_Read errno=0 (was : Timeouts after 2,5 hours)

Reported by: sharkys Owned by:
Priority: major Component: General
Severity: medium Keywords: timeout error in IO_serial_read
Cc: sharkys@… Sensitive: no

Description

Revision

38XX - 3896

Issue Description

All clients including local one get timeouts after aprox. 2,5 hour

When the issue occurs

Suddenly each time aprox. after 2,5 hour

How the issue is reproducable

<Please fill in>

Attachments (3)

oscam.log.gz (8.7 KB ) - added by sharkys 10 years ago.
Oscam log - enabled debug 255 when timeout occuers
oscam.log-prev.gz (88.6 KB ) - added by sharkys 10 years ago.
latest occuerene - debug enabled even before problem occuered
oscam_4024.zip (65.8 KB ) - added by sharkys 10 years ago.
still same issue

Download all attachments as: .zip

Change History (24)

by sharkys, 10 years ago

Attachment: oscam.log.gz added

Oscam log - enabled debug 255 when timeout occuers

comment:1 by sharkys, 10 years ago

The issue always occuers after aprox. 2,5 hour and restart always fix it for another 2,5 hour. Version 3152 doesn't have such problem at all.

by sharkys, 10 years ago

Attachment: oscam.log-prev.gz added

latest occuerene - debug enabled even before problem occuered

comment:2 by sharkys, 10 years ago

Seems that after timeout and restart, next timeout occurs much sooner and not in 2.5hour (like in 5-10 minutes). But in case I replace latest Oscam by version 3152, everything is fine.

comment:3 by sharkys, 10 years ago

I just tested version 3907. After 10mins there was first "TIMEOUT", followed by "NOT FOUND" errors.

2010/11/16 16:51:43 2D52F4B0 c user1 (0D96&000004/13B4/80:8AFE): found (95 ms) by ctecka (of 0 avail 0) - Nova HD
2010/11/16 16:51:43 2C12F4B0 c user2 (0D96&000004/2330/80:0565): found (95 ms) by ctecka (of 0 avail 0) - Viasat History
2010/11/16 16:51:43 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/16 16:51:43 2D12F4B0 c user3 (0D96&000004/2331/80:D7AA): not found (83 ms) (of 0 avail 0) - JimJam
2010/11/16 16:51:47 2B52F4B0 r ERROR in IO_Serial_Read errno=22
2010/11/16 16:51:47 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/16 16:51:47 2BD2F4B0 c reader_account (0D96&000004/36F6/80:EA7A): not found (2808 ms) (of 0 avail 0) - .T 1 HD
2010/11/16 16:51:53 2D12F4B0 c cccam(s) user3:  reported/updated +0/-0/dup 0 of 2 cards to client
2010/11/16 16:51:55 2B52F4B0 r ERROR in IO_Serial_Read errno=22
2010/11/16 16:51:55 2D52F4B0 c user1 (0D96&000004/13B4/80:8CE7): not found (2807 ms) (of 0 avail 0) - Nova HD
2010/11/16 16:51:55 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/16 16:51:55 2C12F4B0 c user2 (0D96&000004/2330/80:A9EF): not found (2542 ms) (of 0 avail 0) - Viasat History
2010/11/16 16:51:58 2D12F4B0 c user3 (0D96&000004/2331/80:C9B3): timeout (5005 ms) (of 0 avail 0) - JimJam
2010/11/16 16:51:58 2B52F4B0 r ERROR in IO_Serial_Read errno=22
2010/11/16 16:52:00 2BD2F4B0 c reader_account (0D96&000004/36F6/80:A6FA): timeout (5101 ms) (of 0 avail 0) - .T 1 HD
2010/11/16 16:52:01 2B52F4B0 r ERROR in IO_Serial_Read errno=22
2010/11/16 16:52:01 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/16 16:52:04 2B52F4B0 r ERROR in IO_Serial_Read errno=22
2010/11/16 16:52:07 2B52F4B0 r ERROR in IO_Serial_Read errno=22

Do I have any chance to get some feedback to this ?

Last edited 10 years ago by sharkys (previous) (diff)

comment:4 by sharkys, 10 years ago

Now it occurred after I initiated manually local card entitlement refresh/reread.
And - entitlements were empty.

2010/11/17  0:10:29 2B12F4B0 h Refresh Reader/Tiers requested by WebIF from 10.0.0.3
2010/11/17  0:10:29 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/17  0:10:29 2B52F4B0 r provider: 1, id: 04
2010/11/17  0:10:29 2B52F4B0 r provider: 2, id: 08
2010/11/17  0:10:29 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/17  0:10:29 2B52F4B0 r provider: 3, id: 0C
2010/11/17  0:10:29 2B52F4B0 r provider: 4, id: 10
2010/11/17  0:10:29 2B52F4B0 r ERROR in IO_Serial_Write u=0 to_send=5 errno=22
2010/11/17  0:10:29 2B52F4B0 r [cryptoworks-reader] ready for requests
2010/11/17  0:10:31 2BEFF4B0 c loadbalacer statistic saved 61 records
2010/11/17  0:10:31 2BEFF4B0 c card_account (0D96&000004/1F45/80:69A7): not found (5 ms) (of 1 avail 1) - DOMA
2010/11/17  0:10:31 2B12F4B0 h Refresh Reader/Tiers requested by WebIF from 10.0.0.3
2010/11/17  0:10:31 2B52F4B0 r provider: 1, id: 04
2010/11/17  0:10:31 2B52F4B0 r provider: 2, id: 08
2010/11/17  0:10:31 2B52F4B0 r provider: 3, id: 0C
2010/11/17  0:10:31 2B52F4B0 r provider: 4, id: 10
2010/11/17  0:10:31 2B52F4B0 r [cryptoworks-reader] ready for requests
2010/11/17  0:10:32 2B12F4B0 h Refresh Reader/Tiers requested by WebIF from 10.0.0.3
2010/11/17  0:10:32 2B52F4B0 r provider: 1, id: 04
2010/11/17  0:10:32 2B52F4B0 r provider: 2, id: 08
2010/11/17  0:10:32 2B52F4B0 r provider: 3, id: 0C
2010/11/17  0:10:32 2B52F4B0 r provider: 4, id: 10

comment:5 by Deas, 10 years ago

Resolution: fixed
Status: newclosed

please test with latet version. there was a caching issue which should be fixed...

by sharkys, 10 years ago

Attachment: oscam_4024.zip added

still same issue

comment:6 by sharkys, 10 years ago

Cc: sharkys@… added
Resolution: fixed
Status: closedreopened

Hi,

tested several others version including latest 4024 and still I have problem. Still 3152 version is working fine. I noticed big change in the period that timeout occurs - it's much sooner then before ;-)

Also I'm getting in the logs errors like :
ERROR in IO_Serial_Read errno=22
ERROR in IO_Serial_Read errno=0

pls. note - I enabled debug=255 just shortly before the bug re-occurs,so please don't get confused if you will not see debug right from beginning.

Also seems that real problem occurs here :
2010/11/30 18:29:29 2B5434B0 r ERROR, function call IO_Serial_Read (reader, timeout + IFD_TOWITOKO_TIMEOUT, size, buffer) returns error.
2010/11/30 18:29:29 2B9434B0 20 04 00 04 00 1F 7A AF
2010/11/30 18:29:29 2B5434B0 r ERROR, function call Phoenix_Receive (reader, data, size, reader->read_timeout) returns error.
2010/11/30 18:29:29 2B9434B0 p cc_parse_msg in 4
2010/11/30 18:29:29 2B5434B0 r ERROR, function call ICC_Async_Receive (reader, 1, buffer + recv) returns error.

comment:7 by petr808, 10 years ago

I experienced similar timeout problems with various versions of oscam (including latest 4028) using Smargo reader (firmware 1.4) with CW card. Most stable seems to me version 3855, but sometimes timeouts occur. I would say, the higher version, the shorter time between timeouts. Now I'm testing version 3855 with Phoenix USB interface and everything looks fine, no timeouts, no problems. So it seems to me, there is a problem when using Smargo reader. And it seems that the timeouts come after using ECM cache. Everthing was tested on 64 bit linux PC version.

Last edited 10 years ago by petr808 (previous) (diff)

comment:8 by sharkys, 10 years ago

Thank you for this feedback. I installed version 3855 and seems it's working fine (more time is required to be 100% sure). At least I don't see immediately in the log errors like "ERROR in IO_Serial_Read errno=22"

comment:9 by sharkys, 10 years ago

OK, so with version 3855 I got timeout again after aprox. 2.5 hours

in reply to:  9 comment:10 by petr808, 10 years ago

Replying to sharkys:

OK, so with version 3855 I got timeout again after aprox. 2.5 hours

And what kind of interface are you using? Smargo reader or Phoenix USB interface? Only Phoenix interface works with version 3855 without timeouts, Smargo reader has still timeouts problems.

comment:11 by sharkys, 10 years ago

It's internal card reader of VU+ DUO - Smartcard-Reader (Conax Embedded)

comment:12 by sharkys, 10 years ago

*update* in the version 4055 still timeouts, however another error is preceding timeouts :
ERROR in IO_Serial_Write u=0 to_send=5 errno=9
ERROR in IO_Serial_Read errno=9

...and as usual right after initialization :
ERROR in IO_Serial_Read errno=0
ERROR in IO_Serial_Read errno=22

comment:13 by sharkys, 10 years ago

Same situation on [4102]

comment:14 by sharkys, 10 years ago

Still not fixed in [4182]

comment:15 by Deas, 10 years ago

is there any version that is working on your receiver?
did you ever tried a external usb reader if possible?
what platform is the vu+ duo?

in reply to:  15 comment:16 by sharkys, 10 years ago

Hi Deas,

  1. actually yes - version 3152 is really working fine
  2. Unfortunatelly I didn't try external USB reader, I don't have it.
  3. For VU+ I'm using MIPS - TUXBOX, if I understood your question correctly.

comment:17 by sharkys, 10 years ago

Same problem in [4278]. I tried to disable also load balancer, but it didn't have any positive effect.

comment:18 by sharkys, 10 years ago

Keywords: error in IO_serial_read added
Summary: Timeouts after 2,5 hoursERROR in IO_Serial_Read errno=0 (was : Timeouts after 2,5 hours)

Seems that after I changed image from VTI 2.2 to VTI 2.3 (http://www.vuplus-support.com/wbb2/thread.php?threadid=12058) there are no timeouts anymore ! Currently testing on [4302] (shown in Webinit as [4281]???), however there are still those two errors shortly after card is detected (more in debug log at the beginning) :

2011/01/03 18:58:53 2B4FF4B0 r ERROR in IO_Serial_Read errno=0
2011/01/03 18:58:53 2B4FF4B0 r ATR: 3B 78 12 00 00 54 C4 03 10 8F F2 91 xx
2011/01/03 18:58:57 2B4FF4B0 r ERROR in IO_Serial_Read errno=22

So I'm keeping this open, however not for Timeouts anymore.

comment:19 by Deas, 10 years ago

is it working now or not? if yes, i´d say the error messages are just cosmetic or also related to your hardware and could be fixed with a newer image. so no need for a ticket...

comment:20 by sharkys, 10 years ago

Resolution: worksforme
Status: reopenedclosed

OK, if those are cosmetic bugs only, let's close this. Thank you for your support and please - keep going ;-)

comment:21 by realriot, 10 years ago

Perhaps Ticket #1368 ist related to this problem? There are still issues about timeouts an (in this example) nagra cards...

Note: See TracTickets for help on using tickets.